# TRMNL Weather & Pollen Report

A custom TRMNL plugin that fetches and displays weather and pollen data.

## Setup

1. Set up a virtual environment and install dependencies:
   ```bash
   python -m venv .venv
   source .venv/bin/activate
   uv sync
   ```

2. Set required environment variables:
   ```bash
   export WEATHER_API_KEY="your_openweathermap_api_key"
   export AUTH_TOKEN="your_chosen_auth_token"
   ```

3. Run the application:
   ```bash
   fastapi run main.py --port 8887
   ```

## Docker

Build and run with Docker:
```bash
docker build -t trmnl-report .
docker run -p 8887:8887 -e WEATHER_API_KEY=your_key -e AUTH_TOKEN=your_token trmnl-report
```

## API

Access the API at `http://localhost:8887/?token=your_auth_token`